part of 'benih_bloc.dart';

@freezed
class BenihEvent with _$BenihEvent {
  const factory BenihEvent.started() = _Started;
  const factory BenihEvent.getProductBenih() = _GetProductBenih;
  const factory BenihEvent.searchProductBenih(String query) =
      _SearchProductBenih;
  const factory BenihEvent.fetchAllBenih() = _FetchAllBenih;
}
